Subject: Re: [RPSEC] Situation with BGP security reqs draft

From: Sandy Murphy <[email-masked]>
Date: Wed, 26 Jan 2005 12:40:13 -0500 (EST)

>It is impossible to secure a protocol without a specification
>     that defines a reference model describing its behavior.
>...
>     If some operational practice isn't explicitly spelled out,
>     but falls within the BGP framework (e.g. route reorigination vs route
>     aggregation within BGP), we simply have to deal with it and point out
>     the security implications. If the reality contradicts the spec, then it is
>     either that the implementation decided to be non-compliant and we shouldn't
>     have to deal with it, or the spec needs to be fixed and we need to advise
>     the IDR WG.

So - can I conclude that you think it would be a good idea to list
the operational uses that we will deal with?  And a list of those
we won't?

As you and Joel have said - trying to decide security for an unspecified
system is not a good idea/doomed to failure/etc.

--Sandy

_______________________________________________
RPSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rpsec

---

From: Alex Zinin <[email-masked]>
Date: Wed, 26 Jan 2005 13:10:47 -0800

Sandy,

> the operational uses that we will deal with?  And a list of those

I think it would be an excellent idea. In fact, as part of this exercise,
it may become obvious that some features require proper documentation in IDR.

Alex